import java.awt.Color;
import becker.robots.*;
import becker.robots.icons.*;

public class RobotTowers {

	static int numDisks = 8;
	static Color ACESgold = new Color(0xCEAA08);
	static RobotSE monk;

	public static void main(String[] args) {
		City phuket = new City(4, 5);
		phuket.setFrameTitle("Robots: Towers of Hanoi");

		for (int i = numDisks; i > 0; i--)
			new Disk(phuket, 1, 1, i % 2 == 0 ? Color.black : ACESgold, i * 0.1);
		Monk monk = new Monk(phuket, 0, 0, Direction.EAST);
		monk.performTask(numDisks);
	}

}

class Disk extends Thing {
	public Disk(City c, int s, int a, Color color, double size) {
		super(c, s, a);
		this.setIcon(new CircleIcon(color, size));
	}
}

class Monk extends RobotSE {

	public Monk(City c, int s, int a, Direction d) {
		super(c, s, a, d);
	}

	public void performTask(int n) {
		this.moveRings("A", "B", "C", n);
	}


	private void moveRings(String src, String dst,
			String tmp, int n) {
	}

}
